#
# spec file for package icewm-default (Version 1.2.26)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel giflib giflib-devel glib glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gtk gzip imlib imlib-devel info insserv klogd less libacl libattr libcom_err libgcc41 libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           icewm-default
BuildRequires:  audiofile-devel freetype2-devel gcc-c++ giflib-devel imlib-devel libpng-devel libtiff-devel xorg-x11-devel
License:        LGPL v2 or later
Group:          System/GUI/Other
Provides:       icewm-bin
Requires:       icewm, xdg-menu
Conflicts:      icewm-lite, icewm-gnome
Autoreqprov:    on
Version:        1.2.26
Release:        27
Source:         icewm-%{version}.tar.bz2
Patch0:         icewm-LANG.menu.patch
Patch5:         icewm-multiByte.patch
Patch6:         icewm-menu.patch
Patch7:         icewm-qt4-crash.patch
URL:            http://www.icewm.org/
Summary:        Window Manager with a Taskbar--Default Version
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define prefix /usr
#
#Sources are in package icewm.spm
NoSource:       0
NoPatch:        0
NoPatch:        5
NoPatch:        6

%description
A window manager for the X Window System that can emulate the look of
Windows '95, OS/2 Warp 3, OS/2 Warp 4, and Motif and tries to take the
best features from those systems. IceWM features multiple workspaces,
opaque move and resize, a taskbar, a window list, mailbox status, and a
digital clock. It is fast and small.



Authors:
--------
    Marko Macek <Marko.Macek@gmx.net>

%prep
%setup -n icewm-%{version} -b 0
%patch0 -p1
%patch5
%patch6
%patch7

%build
%{?suse_update_config:%{suse_update_config -f}}
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure --without-debug \
	    --sysconfdir=/etc \
	    --with-cfgdir=/etc/icewm \
            --prefix=%{prefix} \
	    --with-docdir=%{_docdir} \
	    --enable-i18n \
	    --enable-nls \
	    --enable-guievents \
	    --with-imlib \
	    --without-gnome-menus
make

%install
rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/usr/bin
cd src
install icewm icehelp icewmhint icewmbg icesh genpref icewm-session $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
/usr/bin/icewm
/usr/bin/icehelp
/usr/bin/icewmhint
/usr/bin/icewmbg
/usr/bin/icesh
/usr/bin/genpref
/usr/bin/icewm-session

%changelog
* Mon Jul 09 2007 - mmarek@suse.cz
- fixed a crash with qt4 apps
  [#288476] (icewm-qt4-crash.patch)
* Tue May 16 2006 - pnemec@suse.cz
- updated to 1.2.26
  many minor fix
  some translation fix
  strict-aliasing patch  is in upstream now
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - tiwai@suse.de
- fixed strict-aliasing patch (#143861)
* Mon Jan 02 2006 - pnemec@suse.cz
- fixed wrong name of Norwegian messages
- removed X11R6 prefix
* Mon Jan 02 2006 - pnemec@suse.cz
- fixed strict aliasing errors ( -strict-aliasing.patch)
* Thu Oct 27 2005 - pnemec@suse.cz
- update to version 1.2.23
* Mon May 23 2005 - ltinkl@suse.cz
- install the icewm-session binary (#75691)
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Wed Feb 23 2005 - meissner@suse.de
- fixed 0->NULL in Xft call.
* Tue Nov 02 2004 - ltinkl@suse.cz
- updated to 1.2.16
* Thu Aug 12 2004 - ltinkl@suse.cz
- update to 1.2.15
* Fri Mar 12 2004 - ltinkl@suse.cz
- make the XDG menu work
- use the default SUSE wallpaper
* Fri Feb 06 2004 - ltinkl@suse.cz
- support for xdg menu
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Oct 15 2003 - ltinkl@suse.cz
- updated to 1.2.13
* Fri Jul 11 2003 - nadvornik@suse.cz
- updated to 1.2.9
* Thu May 29 2003 - nadvornik@suse.cz
- installed genpref
* Mon May 05 2003 - mfabian@suse.de
- remove "fontconfig fontconfig-devel" from neededforbuild and
  use x-devel-packages instead of xf86
- use "-*-" instead of "-xftdummy-" as the foundry for the
  default fonts when using Xft because the latest fontconfig
  now actually uses the foundry and inserting an dummy value
  doesn't work anymore.
* Fri Apr 25 2003 - lmfabian@suse.de
- update to 1.2.7
- add "fontconfig fontconfig-devel" to neededforbuild
- icewm-always-use-xft.patch: if we have Xft2, don't disable Xft
  when no RENDER is found.
- remove icewm-menu-translations.tar.bz2: the language specific
  "preferences" files did only set different fontsets, which is
  not necessary anymore when Xft2 is used with generic aliases
  like "sans" and "monospace" as the default settings. The same
  default font settings should work for all languages.
  The other files in icewm-menu-translations.tar.bz2 didn't
  contain any important language specific differences either.
- fix icewm-LANG.menu.patch: look for the most specific extensions
  first: e.g. first try "menu.ja_JP.UTF-8", then try "menu.ja_JP",
  finally try "menu.ja". The current patch did it in the opposite
  order, making it impossible to have different files for
  ja_JP.eucJP and ja_JP.UTF-8.
* Mon Mar 10 2003 - nadvornik@suse.cz
- added Requires: icewm [#24936]
* Mon Feb 17 2003 - nadvornik@suse.cz
- use g++ for compilation and linking
* Fri Feb 14 2003 - nadvornik@suse.cz
- updated to 1.2.6
* Thu Nov 28 2002 - nadvornik@suse.cz
- fixed to compile with new gcc
* Tue Oct 22 2002 - nadvornik@suse.cz
- set multiByte to true by default [#20656]
* Fri Jul 26 2002 - nadvornik@suse.cz
- updated to 1.2.0
* Wed Jun 26 2002 - nadvornik@suse.cz
- updated to 1.2.0pre3: many bugs fixed
* Mon Apr 22 2002 - nadvornik@suse.cz
- fixed to compile
* Tue Apr 02 2002 - nadvornik@suse.cz
- used suse_update_config
* Tue Mar 12 2002 - nadvornik@suse.cz
- fixed Super key handling [bug #14734]
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Oct 23 2001 - nadvornik@suse.cz
- update to 1.0.9
  - icon tray
  - mouse wheel support for menus
  - additional key bindings
  - improved edge switching
  - many bugfixes
* Mon Oct 15 2001 - nadvornik@suse.cz
- fixed path to help files [bug #11793]
* Tue Aug 21 2001 - nadvornik@suse.cz
- sources marked nosource (they are in icewm.spm)
* Mon Aug 13 2001 - nadvornik@suse.cz
- compiled with g++ (now compiles on axp)
* Fri Aug 10 2001 - nadvornik@suse.cz
- splitted from icewm
